# Uses of Enum Class
com.logicaldoc.core.security.user.GroupType

Packages that use GroupType
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of GroupType in com.logicaldoc.core.security.user

Methods in com.logicaldoc.core.security.user that return GroupType
Modifier and Type
Method
Description
`GroupType`
Group.`getType()`
`static GroupType`
GroupType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GroupType[]`
GroupType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.logicaldoc.core.security.user with parameters of type GroupType
Modifier and Type
Method
Description
`void`
Group.`setType(GroupType type)`